KSRVTGT(1)

NAME
ksrvtgt - fetch and store Kerberos ticket-granting-ticket using a service key

SYNOPSIS
ksrvtgt name instance [[realm] srvtab]

DESCRIPTION
ksrvtgt retrieves a ticket-granting ticket with a lifetime of five (5) minutes for the principal name.instance@realm (or name.instance@localrealm if realm is not supplied on the command line), decrypts the response using the service key found in srvtab (or in /etc/srvtab if srvtab is not specified on the command line), and stores the ticket in the standard ticket cache.

This command is intended primarily for use in shell scripts and other batch-type facilities.

DIAGNOSTICS
"Generic kerberos failure (kfailure)" can indicate a whole range of problems, the most common of which is the inability to read the service key file.

FILES

/etc/krb.conf
    to get the name of the local realm.

/tmp/tkt[uid]
    The default ticket file.

/etc/srvtab
    The default service key file.

SEE ALSO
kerberos(1), kinit(1), kdestroy(1)